=== etc/Makefile ===
# $Id: Makefile,v 2.4 1999/09/06 10:43:13 ddr Exp $

include ../config/Makefile

INCLUDES=-I ../camlp4 -I ../boot
OCAMLCFLAGS=$(INCLUDES)
OBJS=q_phony.cmo pa_o.cmo pa_op.cmo pa_oop.cmo pa_ru.cmo pa_format.cmo pa_ifdef.cmo pr_r.cmo pr_rp.cmo pr_o.cmo pr_op.cmo pr_extend.cmo pr_null.cmo pr_depend.cmo pa_sml.cmo
INTF=pa_ifdef.cmi pa_o.cmi
CAMLP4OM=pa_o.cmo pa_op.cmo ../meta/pr_dump.cmo
CAMLP4OMX=pa_o.cmx pa_op.cmx ../meta/pr_dump.cmx ../meta/pa_extend.cmx ../meta/q_MLast.cmx
SHELL=/bin/sh
OUT=$(OBJS) camlp4o$(EXE)
OPT=camlp4o.opt

all: $(OUT) mkcamlp4.sh
opt: $(OPT)

camlp4o$(EXE): ../camlp4/camlp4$(EXE) $(CAMLP4OM)
	rm -f camlp4o$(EXE)
	cd ../camlp4; $(MAKE) CAMLP4=../etc/camlp4o$(EXE) CAMLP4M="-I ../etc $(CAMLP4OM)"

camlp4o.opt: $(CAMLP4OMX)
	rm -f camlp4o.opt
	cd ../camlp4; $(MAKE) opt CAMLP4OPT=../etc/camlp4o.opt CAMLP4M="-I ../etc $(CAMLP4OMX)"

mkcamlp4.sh: mkcamlp4.sh.tpl
	sed -e "s'OLIBDIR'$(OLIBDIR)'g" -e "s'LIBDIR'$(LIBDIR)'g" mkcamlp4.sh.tpl > mkcamlp4.sh

clean::
	rm -f *.cm[ioa] *.pp[io] *.o *.bak .*.bak *.out *.opt
	rm -f mkcamlp4.sh camlp4o$(EXE)

depend:
	cp .depend .depend.bak
	> .depend
	@for i in *.mli *.ml; do \
	  ../tools/apply pr_depend.cmo -- $(INCLUDES) $$i >> .depend; \
	done

get_promote:

install:
	-$(MKDIR) $(LIBDIR) $(BINDIR)
	cp $(OBJS) $(LIBDIR)/.
	cp $(INTF) $(LIBDIR)/.
	cp lib.sml $(LIBDIR)/.
	cp camlp4o$(EXE) $(BINDIR)/.
	cp mkcamlp4.sh $(BINDIR)/mkcamlp4
	chmod a+x $(BINDIR)/mkcamlp4

include .depend
