=== lablp4/Makefile ===
# $Id: Makefile,v 1.3 1999/03/04 16:37:25 ddr Exp $

include ../config/Makefile

SHELL=/bin/sh

INCLUDES=-I ../camlp4 -I ../boot
OCAMLCFLAGS=$(INCLUDES)
LABL_OBJS=llexer.cmo pa_lo.cmo pa_lablext.cmo
DUMP_OBJS=lasttypes.cmo lparsetree.cmo lconfig.cmo ast2lpt.cmo pr_ldump.cmo
LABLP4M=pa_labl.cma pr_ldump.cma

all: $(LABLP4M)

pa_labl.cma: $(LABL_OBJS)
	$(OCAMLC) $(LINKFLAGS) $(LABL_OBJS) -a -o pa_labl.cma

pr_ldump.cma: $(DUMP_OBJS)
	$(OCAMLC) $(LINKFLAGS) $(DUMP_OBJS) -a -o pr_ldump.cma

install:
	cp $(LABLP4M) $(LIBDIR)/.

clean::
	rm -f *.cm* *.pp[io] *.o *.bak .*.bak *.out *.opt
	rm -f $(LABLP4M)

depend:
	cp .depend .depend.bak
	> .depend
	@for i in *.mli *.ml; do \
	  ../tools/apply pr_depend.cmo -- $(INCLUDES) $$i >> .depend; \
	done

include .depend
