=== man/Makefile ===
# $Id: Makefile,v 2.1 1999/05/14 11:03:32 ddr Exp $

include ../config/Makefile

TARGET=camlp4.1

all: $(TARGET)

clean::
	rm -f $(TARGET)

depend:

get_promote:

install:
	-$(MKDIR) $(MANDIR)
	cp $(TARGET) $(MANDIR)/.
	cd $(MANDIR); ln -sf $(TARGET) camlp4o.1
	cd $(MANDIR); ln -sf $(TARGET) camlp4r.1
	cd $(MANDIR); ln -sf $(TARGET) mkcamlp4.1
	cd $(MANDIR); ln -sf $(TARGET) ocpp.1

camlp4.1: camlp4.1.tpl
	sed -e "s'LIBDIR'$(LIBDIR)'g" camlp4.1.tpl > camlp4.1
