=== meta/Makefile ===
# $Id: Makefile,v 2.5 1999/09/06 10:43:16 ddr Exp $

include ../config/Makefile

INCLUDES=-I ../camlp4 -I ../boot
OCAMLCFLAGS=$(INCLUDES)
OBJS=q_MLast.cmo pa_r.cmo pa_rp.cmo pa_extend.cmo pa_extend_m.cmo pr_dump.cmo
CAMLP4RM=pa_r.cmo pa_rp.cmo pr_dump.cmo
CAMLP4RMX=pa_r.cmx pa_rp.cmx pr_dump.cmx pa_extend.cmx q_MLast.cmx
SHELL=/bin/sh
OUT=$(OBJS) camlp4r$(EXE)
OPT=camlp4r.opt

all: $(OUT)
opt: $(OPT)

camlp4r$(EXE): ../camlp4/camlp4$(EXE) $(CAMLP4RM)
	rm -f camlp4r$(EXE)
	cd ../camlp4; $(MAKE) CAMLP4=../meta/camlp4r$(EXE) CAMLP4M="-I ../meta $(CAMLP4RM)"

camlp4r.opt: $(CAMLP4RMX)
	rm -f camlp4r.opt
	cd ../camlp4; $(MAKE) opt CAMLP4OPT=../meta/camlp4r.opt CAMLP4M="-I ../meta $(CAMLP4RMX)"

steal:

compare_stolen:

clean::
	rm -f *.cm[ioa] *.pp[io] *.o *.bak .*.bak $(OUT) $(OPT)

depend:
	cp .depend .depend.bak
	> .depend
	@for i in *.mli *.ml; do \
	  ../tools/apply pr_depend.cmo -- $(INCLUDES) $$i >> .depend; \
	done

promote:
	cp $(OUT) ../boot/.

compare:
	@for j in $(OUT); do \
		if cmp $$j ../boot/$$j; then :; else exit 1; fi; \
	done

install:
	-$(MKDIR) $(LIBDIR) $(BINDIR)
	cp $(OBJS) $(LIBDIR)/.
	cp camlp4r$(EXE) $(BINDIR)/.

include .depend
