=== odyl/Makefile ===
# $Id: Makefile,v 2.5 1999/09/06 10:43:24 ddr Exp $

include ../config/Makefile

SHELL=/bin/sh

INCLUDES=
OCAMLCFLAGS=$(INCLUDES)
LINKFLAGS=$(INCLUDES)

OBJS=odyl_config.cmo odyl_main.cmo

all: odyl$(EXE)

odyl$(EXE): odyl.cma odyl.cmo
	$(OCAMLC) odyl.cma odyl.cmo -o odyl$(EXE)

odyl.cma: $(OBJS)
	$(OCAMLC) $(LINKFLAGS) dynlink.cma $(OBJS) -a -o odyl.cma

odyl_config.cmo:
	echo "let standard_library =" > odyl_config.ml
	echo "  try Sys.getenv \"CAMLP4LIB\" with" >> odyl_config.ml
	echo "    Not_found -> \"$(LIBDIR)\"" >> odyl_config.ml
	$(OCAMLC) $(OCAMLCFLAGS) -c odyl_config.ml

steal:

compare_stolen:

clean::
	rm -f *.cm[ioa] *.pp[io] *.o *.bak .*.bak *.out *.opt
	rm -f odyl_config.ml odyl$(EXE)

depend:
	cp .depend .depend.bak
	> .depend
	@for i in *.mli *.ml; do \
	  ../tools/apply pr_depend.cmo -- $(INCLUDES) $$i >> .depend; \
	done

promote:

compare:

install:
	-$(MKDIR) $(LIBDIR) $(BINDIR)
	cp odyl.cmo odyl.cma $(LIBDIR)
	cp odyl$(EXE) $(BINDIR)/.

include .depend
