=== tools/Makefile ===
# $Id: Makefile,v 2.1 1999/03/03 23:49:34 ddr Exp $

include ../config/Makefile

all: compile$(EXE) apply$(EXE)

compile$(EXE): compile.ml
	../boot/camlp4r -nolib -I ../boot -o compile.ppo -impl compile.ml
	$(OCAMLC) $(OCAMLCFLAGS) -impl compile.ppo -o compile$(EXE)
	rm -f compile.ppo

apply$(EXE): apply.ml
	../boot/camlp4r -nolib -I ../boot -o apply.ppo -impl apply.ml
	$(OCAMLC) $(OCAMLCFLAGS) -impl apply.ppo -o apply$(EXE)
	rm -f apply.ppo

clean::
	rm -f *.cm[ioa] *.pp[io] *.o *.bak .*.bak compile$(EXE) apply$(EXE)

depend:

install:
