=== debian/changelog ===
camlp4 (4.02.1+3-2) unstable; urgency=medium

  * Upload to unstable

 -- Stéphane Glondu <glondu@debian.org>  Thu, 08 Oct 2015 12:02:03 +0200

camlp4 (4.02.1+3-1) experimental; urgency=medium

  * New upstream release

 -- Stéphane Glondu <glondu@debian.org>  Sun, 01 Mar 2015 06:23:28 +0100

camlp4 (4.02.1+2-1) experimental; urgency=low

  * Initial upload (Closes: #778521).

 -- Stéphane Glondu <glondu@debian.org>  Mon, 16 Feb 2015 11:26:59 +0100
