=== debian/control ===
Source: camlp4
Section: ocaml
Priority: optional
Maintainer: Debian OCaml Maintainers <debian-ocaml-maint@lists.debian.org>
Uploaders:
 Stéphane Glondu <glondu@debian.org>
Build-Depends:
 debhelper (>= 9),
 ocaml-nox (>= 4.02.1),
 dh-ocaml
Standards-Version: 3.9.6
Homepage: https://github.com/ocaml/camlp4
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-ocaml-maint/packages/camlp4.git
Vcs-Git: git://anonscm.debian.org/pkg-ocaml-maint/packages/camlp4.git

Package: camlp4
Architecture: any
Depends:
 libcamlp4-ocaml-dev,
 ${shlibs:Depends},
 ${misc:Depends},
 ${ocaml:Depends}
Provides:
 camlp4-extra,
 ${ocaml:Provides}
Recommends: ocaml-findlib
Breaks: camlp4-extra (<< 4.02.1)
Replaces: camlp4-extra (<< 4.02.1)
Description: Pre Processor Pretty Printer for OCaml
 Camlp4 is a software system for writing extensible parsers for
 programming languages. It provides a set of OCaml libraries that are
 used to define grammars as well as loadable syntax extensions of such
 grammars. Camlp4 stands for Caml Preprocessor and Pretty-Printer and
 one of its most important applications is the definition of
 domain-specific extensions of the syntax of OCaml.
 .
 This package contains CamlP4 executables for pre-processing and
 pretty-printing OCaml sources both interactively and in a batch
 fashion.

Package: libcamlp4-ocaml-dev
Architecture: any
Depends:
 ${shlibs:Depends},
 ${misc:Depends},
 ${ocaml:Depends}
Provides:
 ${ocaml:Provides}
Recommends: ocaml-findlib
Breaks: camlp4 (<< 4.02.1)
Replaces: camlp4 (<< 4.02.1)
Description: Pre Processor Pretty Printer for OCaml (libraries)
 Camlp4 is a software system for writing extensible parsers for
 programming languages. It provides a set of OCaml libraries that are
 used to define grammars as well as loadable syntax extensions of such
 grammars. Camlp4 stands for Caml Preprocessor and Pretty-Printer and
 one of its most important applications is the definition of
 domain-specific extensions of the syntax of OCaml.
 .
 This package contains CamlP4 libraries.
