=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

DESTDIR=$(CURDIR)/debian/tmp
include /usr/share/ocaml/ocamlvars.mk

ifeq ($(OCAML_HAVE_OCAMLOPT),yes)
TARGET := all
else
TARGET := default
endif

%:
	dh $@ --with ocaml

.PHONY: override_dh_auto_configure
override_dh_auto_configure:
	./configure

.PHONY: override_dh_auto_build
override_dh_auto_build:
	$(MAKE) $(TARGET)

.PHONY: override_dh_auto_install
override_dh_auto_install:
	dh_auto_install
	$(MAKE) install-META DESTDIR=$(DESTDIR)

.PHONY: override_dh_install
override_dh_install:
	dh_install --fail-missing
