## camlp4 4.04+1

=== debian/changelog ===
camlp4 (4.04+1-1) experimental; urgency=medium

  * Add myself to Uploaders.
  * New upstream release.

 -- Ximin Luo <infinity0@debian.org>  Sat, 04 Mar 2017 15:45:52 +0100

camlp4 (4.03+1-2) experimental; urgency=medium

  * Team upload.
  * Fix Breaks: and Build-Depends:

 -- Ximin Luo <infinity0@debian.org>  Thu, 20 Oct 2016 20:43:44 +0200

camlp4 (4.03+1-1) experimental; urgency=medium

  * Team upload.
  * New upstream release.

 -- Ximin Luo <infinity0@debian.org>  Thu, 20 Oct 2016 18:50:02 +0200
