=== debian/control ===
--- 
+++ 
@@ -3,10 +3,12 @@
 Priority: optional
 Maintainer: Debian OCaml Maintainers <debian-ocaml-maint@lists.debian.org>
 Uploaders:
- Stéphane Glondu <glondu@debian.org>
+ Stéphane Glondu <glondu@debian.org>,
+ Ximin Luo <infinity0@debian.org>
 Build-Depends:
  debhelper (>= 9),
- ocaml-nox (>= 4.02.1),
+ ocaml-nox (>= 4.03.0),
+ ocamlbuild (>= 0.10.1),
  dh-ocaml
 Standards-Version: 3.9.6
 Homepage: https://github.com/ocaml/camlp4
@@ -24,8 +26,8 @@
  camlp4-extra,
  ${ocaml:Provides}
 Recommends: ocaml-findlib
-Breaks: camlp4-extra (<< 4.02.1)
-Replaces: camlp4-extra (<< 4.02.1)
+Breaks: camlp4-extra (<< 4.03)
+Replaces: camlp4-extra (<< 4.03)
 Description: Pre Processor Pretty Printer for OCaml
  Camlp4 is a software system for writing extensible parsers for
  programming languages. It provides a set of OCaml libraries that are
@@ -47,8 +49,8 @@
 Provides:
  ${ocaml:Provides}
 Recommends: ocaml-findlib
-Breaks: camlp4 (<< 4.02.1)
-Replaces: camlp4 (<< 4.02.1)
+Breaks: camlp4 (<< 4.03)
+Replaces: camlp4 (<< 4.03)
 Description: Pre Processor Pretty Printer for OCaml (libraries)
  Camlp4 is a software system for writing extensible parsers for
  programming languages. It provides a set of OCaml libraries that are
