=== debian/rules ===
--- 
+++ 
@@ -29,3 +29,8 @@
 .PHONY: override_dh_install
 override_dh_install:
 	dh_install --fail-missing
+
+# This is necessary because upstream contains a build/ directory
+.PHONY: build
+build:
+	dh $@ --with ocaml
