## camlp4 4.05+1

=== camlp4/unmaintained/Makefile ===
#########################################################################
#                                                                       #
#                                 OCaml                                 #
#                                                                       #
#                                Camlp4                                 #
#                                                                       #
#   Copyright 2004 Institut National de Recherche en Informatique et    #
#   en Automatique.  All rights reserved.  This file is distributed     #
#   under the terms of the GNU Library General Public License, with     #
#   the special exception on linking described in file ../../LICENSE.   #
#                                                                       #
#########################################################################
#
# The unmaintained directory
#

include ../config/Makefile.cnf

DIRS=format lefteval ocamllex olabl scheme sml

include ../config/Makefile.base
