=== debian/changelog ===
camlp4 (4.05+1-2) unstable; urgency=medium

  * Upload to unstable.

 -- Ximin Luo <infinity0@debian.org>  Sun, 17 Sep 2017 13:41:19 +0200

camlp4 (4.05+1-1) experimental; urgency=medium

  * New upstream release.

 -- Ximin Luo <infinity0@debian.org>  Mon, 31 Jul 2017 19:33:17 +0200
