=== debian/control ===
--- 
+++ 
@@ -7,7 +7,7 @@
  Ximin Luo <infinity0@debian.org>
 Build-Depends:
  debhelper (>= 9),
- ocaml-nox (>= 4.03.0),
+ ocaml-nox (>= 4.05.0~),
  ocamlbuild (>= 0.10.1),
  dh-ocaml
 Standards-Version: 3.9.6
