=== debian/control ===
--- 
+++ 
@@ -6,14 +6,14 @@
  Stéphane Glondu <glondu@debian.org>,
  Ximin Luo <infinity0@debian.org>
 Build-Depends:
- debhelper (>= 9),
+ debhelper (>= 12),
  ocaml-nox (>= 4.05.0~),
  ocamlbuild (>= 0.10.1),
  dh-ocaml
-Standards-Version: 3.9.6
+Standards-Version: 4.4.0
 Homepage: https://github.com/ocaml/camlp4
-Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-ocaml-maint/packages/camlp4.git
-Vcs-Git: git://anonscm.debian.org/pkg-ocaml-maint/packages/camlp4.git
+Vcs-Browser: https://salsa.debian.org/ocaml-team/camlp4
+Vcs-Git: https://salsa.debian.org/ocaml-team/camlp4.git
 
 Package: camlp4
 Architecture: any
