## camlp4 4.08+1

=== debian/changelog ===
camlp4 (4.08+1-1) unstable; urgency=medium

  * New upstream release

 -- Stéphane Glondu <glondu@debian.org>  Tue, 05 Nov 2019 09:16:37 +0100
