=== debian/control ===
--- 
+++ 
@@ -7,7 +7,7 @@
  Ximin Luo <infinity0@debian.org>
 Build-Depends:
  debhelper (>= 12),
- ocaml-nox (>= 4.05.0~),
+ ocaml-nox (>= 4.08),
  ocamlbuild (>= 0.10.1),
  dh-ocaml
 Standards-Version: 4.4.0
