=== debian/rules ===
--- 
+++ 
@@ -26,11 +26,13 @@
 	dh_auto_install
 	$(MAKE) install-META DESTDIR=$(DESTDIR)
 
-.PHONY: override_dh_install
-override_dh_install:
-	dh_install --fail-missing
+.PHONY: override_dh_missing
+override_dh_missing:
+	dh_missing --fail-missing
 
 # This is necessary because upstream contains a build/ directory
 .PHONY: build
 build:
 	dh $@ --with ocaml
+
+override_dh_dwz:
