## camlp4 4.11+1

=== Makefile ===
--- 
+++ 
@@ -10,18 +10,18 @@
 
 .PHONY: byte
 byte:
-	$(OB) `./build/camlp4-byte-only.sh`
+	$(OB) `sh ./build/camlp4-byte-only.sh`
 
 .PHONY: native
 native:
-	$(OB) `./build/camlp4-native-only.sh`
+	$(OB) `sh ./build/camlp4-native-only.sh`
 
 .PHONY: all
 all: byte native
 
 .PHONY: install
 install:
-	env DESTDIR=$(DESTDIR) ./build/install.sh
+	env DESTDIR=$(DESTDIR) sh ./build/install.sh
 
 .PHONY: install-META
 install-META: camlp4/META
@@ -33,11 +33,11 @@
 
 .PHONY: bootstrap
 bootstrap:
-	./build/camlp4-bootstrap.sh
+	sh ./build/camlp4-bootstrap.sh
 
 .PHONY: Camlp4Ast
 Camlp4Ast:
-	./build/camlp4-mkCamlp4Ast.sh
+	sh ./build/camlp4-mkCamlp4Ast.sh
 
 .PHONY: clean
 clean:
