=== debian/changelog ===
camlp4 (4.11+1-1) unstable; urgency=medium

  [ Stéphane Glondu ]
  * New upstream release
  * Bump debhelper compat level to 13
  * Add Rules-Requires-Root: no

  [ Debian Janitor ]
  * Set debhelper-compat version in Build-Depends.
  * Update standards version to 4.5.0, no changes needed.
  * Set upstream metadata fields: Bug-Database, Bug-Submit, Repository,
    Repository-Browse.

 -- Stéphane Glondu <glondu@debian.org>  Wed, 14 Oct 2020 06:18:56 +0200
