=== debian/control ===
--- 
+++ 
@@ -6,11 +6,12 @@
  Stéphane Glondu <glondu@debian.org>,
  Ximin Luo <infinity0@debian.org>
 Build-Depends:
- debhelper (>= 12),
- ocaml-nox (>= 4.08),
+ debhelper-compat (= 13),
+ ocaml-nox (>= 4.11),
  ocamlbuild (>= 0.10.1),
  dh-ocaml
-Standards-Version: 4.4.0
+Standards-Version: 4.5.0
+Rules-Requires-Root: no
 Homepage: https://github.com/ocaml/camlp4
 Vcs-Browser: https://salsa.debian.org/ocaml-team/camlp4
 Vcs-Git: https://salsa.debian.org/ocaml-team/camlp4.git
