=== debian/watch ===
version=3
https://github.com/ocaml/camlp4/tags/ .*/([\d\.+]+)\.tar\.gz
