=== debian/watch ===
version=4
https://github.com/ocaml/camlp4/tags/ .*/([\d\.+]+)\.tar\.gz
