=== debian/control ===
--- 
+++ 
@@ -7,10 +7,10 @@
  Ximin Luo <infinity0@debian.org>
 Build-Depends:
  debhelper-compat (= 13),
- ocaml-nox (>= 4.11),
+ ocaml (>= 4.13),
  ocamlbuild (>= 0.10.1),
  dh-ocaml
-Standards-Version: 4.5.0
+Standards-Version: 4.6.0
 Rules-Requires-Root: no
 Homepage: https://github.com/ocaml/camlp4
 Vcs-Browser: https://salsa.debian.org/ocaml-team/camlp4
