## camlp4 5.2+1

=== debian/changelog ===
camlp4 (5.2+1-1) unstable; urgency=medium

  * New upstream release

 -- Stéphane Glondu <glondu@debian.org>  Thu, 08 Aug 2024 02:07:40 +0200
