=== debian/control ===
--- 
+++ 
@@ -7,8 +7,10 @@
  Ximin Luo <infinity0@debian.org>
 Build-Depends:
  debhelper-compat (= 13),
- ocaml (>= 4.14),
+ ocaml (>= 5.2),
  ocamlbuild (>= 0.10.1),
+ ocaml-findlib,
+ libcamlp-streams-ocaml-dev,
  dh-ocaml
 Standards-Version: 4.6.2
 Rules-Requires-Root: no
