=== debian/control ===
--- 
+++ 
@@ -7,12 +7,12 @@
  Ximin Luo <infinity0@debian.org>
 Build-Depends:
  debhelper-compat (= 13),
- ocaml (>= 5.2),
+ ocaml (>= 5.3),
  ocamlbuild (>= 0.10.1),
  ocaml-findlib,
  libcamlp-streams-ocaml-dev,
  dh-ocaml
-Standards-Version: 4.6.2
+Standards-Version: 4.7.0
 Rules-Requires-Root: no
 Homepage: https://github.com/ocaml/camlp4
 Vcs-Browser: https://salsa.debian.org/ocaml-team/camlp4
