## camlp4 5.4+1

=== debian/changelog ===
camlp4 (5.4+1-1build4) resolute; urgency=medium

  * No change rebuild with fixed amd64v3 builders

 -- Sebastien Bacher <seb128@ubuntu.com>  Thu, 26 Feb 2026 23:06:01 +0100

camlp4 (5.4+1-1build3) resolute; urgency=medium

  * No change rebuild with fixed amd64v3 builders

 -- Sebastien Bacher <seb128@ubuntu.com>  Wed, 25 Feb 2026 15:24:37 +0100

camlp4 (5.4+1-1build2) resolute; urgency=medium

  * Rebuild against new OCAML ABIs.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Sat, 24 Jan 2026 03:05:54 +0100

camlp4 (5.4+1-1build1) resolute; urgency=medium

  * Rebuild against new OCAML ABIs.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Mon, 29 Dec 2025 09:52:43 +0100
