=== debian/watch ===
Version: 5

Source: https://github.com/ocaml/camlp4/tags/
Matching-Pattern: .*/([\d\.+]+)\.tar\.gz
